Bug 356771 - System changed daylight time on October 28 based on old U.S. rules
System changed daylight time on October 28 based on old U.S. rules
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tzdata (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
http://www.infoplease.com/spot/daylig...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 11:41 EDT by Bryan Christ
Modified: 2015-05-04 21:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-13 14:54:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Christ 2007-10-29 11:41:47 EDT
The new schedule for 2007 onward can be found here:
http://www.infoplease.com/spot/daylight1.html

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Everytime.  Happened to both of my Fedora 7 PCs

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chris Arndt 2007-10-29 12:11:26 EDT
I see this too.  glibc looks like it wasn't updated with the proper change dates
to me.

# rpm -q glibc
glibc-2.6-4.x86_64
glibc-2.6-4.i686

# zdump -v /etc/localtime | grep 2007
/etc/localtime  Sun Apr  1 09:59:59 2007 UTC = Sun Apr  1 01:59:59 2007 PST
isdst=0 gmtoff=-28800
/etc/localtime  Sun Apr  1 10:00:00 2007 UTC = Sun Apr  1 03:00:00 2007 PDT
isdst=1 gmtoff=-25200
/etc/localtime  Sun Oct 28 08:59:59 2007 UTC = Sun Oct 28 01:59:59 2007 PDT
isdst=1 gmtoff=-25200
/etc/localtime  Sun Oct 28 09:00:00 2007 UTC = Sun Oct 28 01:00:00 2007 PST
isdst=0 gmtoff=-28800


The data in the tzdata RPM looks good as far as the dates to change go. For
comparison to glibc...

# rpm -q tzdata
tzdata-2007h-1.fc7.noarch

# zdump -v America/Los_Angeles | grep 2007
America/Los_Angeles  Sun Mar 11 09:59:59 2007 UTC = Sun Mar 11 01:59:59 2007 PST
isdst=0 gmtoff=-28800
America/Los_Angeles  Sun Mar 11 10:00:00 2007 UTC = Sun Mar 11 03:00:00 2007 PDT
isdst=1 gmtoff=-25200
America/Los_Angeles  Sun Nov  4 08:59:59 2007 UTC = Sun Nov  4 01:59:59 2007 PDT
isdst=1 gmtoff=-25200
America/Los_Angeles  Sun Nov  4 09:00:00 2007 UTC = Sun Nov  4 01:00:00 2007 PST
isdst=0 gmtoff=-28800





Comment 2 Chris Arndt 2007-10-29 12:32:45 EDT
As a work-around fix this corrected the problem for me:

# cp /etc/localtime /etc/localtime.save
# cp /usr/share/zoneinfo/US/Pacific /etc/localtime

This replaces the zone file from glibc with the one from tzdata.
Comment 3 Petr Machata 2007-10-29 13:36:48 EDT
/etc/localtime is owned by glibc, but it's not really distributed by that
package.  Instead it's copied over from the tzdata package whenever tzdata
updates.  (It can't be symlink to allow for separately mounted /usr/.)  That so
many people see this not happening is very suspicious.  Plus there is bug 355901
with another tzdata hiccup...
Comment 4 Chris Arndt 2007-10-29 16:54:51 EDT
Right, so the glibc owned version wasn't updated properly and explains why
updating it manually fixes it.  FWIW, I think the whole file owned by one
package and changed/manipulated by another thing is really poor design.
Comment 5 Petr Machata 2007-10-29 17:13:00 EDT
The file is both owned and manipulated by a single package, and that is glibc.
Comment 6 Bryan Christ 2008-03-12 10:59:24 EDT
Fedora 8 failed to change the time back on March 9th.
Comment 7 Bug Zapper 2008-05-14 10:54:09 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bryan Christ 2008-05-14 11:04:18 EDT
Please move to F8 as I have seen the bug there as well.
Comment 9 Bug Zapper 2008-06-16 22:45:14 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Bryan Christ 2008-06-17 10:10:02 EDT
Please move to F8 and reopen.
Comment 11 Peter van Egdom 2008-06-18 16:55:25 EDT
Reopening bug as per comment #10. Changing version from "7" to "8".
Comment 12 Bug Zapper 2008-11-26 03:08:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-01-09 02:21:25 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Bryan Christ 2009-01-09 10:57:49 EST
Petr,

Can you pls move this to F10 since it is still a problem.
Comment 15 Petr Machata 2009-01-09 12:06:31 EST
"It is still a problem" means what?  That fedora consistently fails to switch DST as it should, or that libc consistently fails to update /etc/localtime according to tzdata updates?  In both cases the bug could still be in either one of glibc, glibc trigger script, rpm, or tzdata, but at least it's something concrete.
Comment 16 Bryan Christ 2009-01-09 12:13:11 EST
Petr,

I'm really not sure what the root cause is, all I can say for certain is that with F8, F9, and now with F10, the system time does not changed in accordance with U.S. DST.
Comment 17 Petr Machata 2009-01-09 12:42:13 EST
First, check that your tzdata package is sound, and just for completeness sake, show me which version do you have:
 $ rpm -q tzdata
 $ rpm -V tzdata

Next we need to determine where does /etc/localtime come from:
 $ find /usr/share/zoneinfo/ -type f -exec md5sum {} \; | grep `md5sum /etc/localtime | cut -d' ' -f1`

The above may turn up a couple zones that all have the same md5sum, in which case use diff to check that the files are actually the same:
 $ diff /etc/localtime /usr/share/zoneinfo/The/Zone/ItFound

If they are not the same (which is unlikely), or grep didn't find anything (which is quite possible), we know that /etc/localtime doesn't come from tzdata package.  We can work from here to figure out why is glibc trigger failing.
Comment 18 Bryan Christ 2009-01-09 13:16:40 EST
rpm -q tzdata
tzdata-2008i-1.fc10.noarch

rpm -V tzdata
(no output)

maybe check the syntax of the this command you provide me:

find /usr/share/zoneinfo/ -type f -exec md5sum {} \; | grep `md5sum
/etc/localtime | cut -d' ' -f1`
-bash: /etc/localtime: Permission denied
Comment 19 Petr Machata 2009-01-09 13:33:03 EST
They syntax is correct, but bugzilla split it into two lines.  The following is cut'n'paste friendly:
  find /usr/share/zoneinfo/ -type f -exec md5sum {} \;\
   | grep `md5sum /etc/localtime | cut -d' ' -f1`

If it still tells the same, that's interesting.  Can you try to run the command as root?  Also, could you give me the output of the following?
 $ ls --lcontext /etc/localtime
Comment 20 Bryan Christ 2009-01-12 12:06:09 EST
It was set to Americas/Montery.  I think I need to eat more healthy--I must be running low on the common sense vitamin.

What would be the best city to choose for Houston, TX which observes Central DST?
Comment 21 Petr Machata 2009-01-13 14:52:40 EST
Seems to me that America/Chicago is the right zone.  It's central time (-6:00) and scheduled to U.S. rules.
(For future reference, Monterrey is -6:00 CDT/CST just like Chicago, but is scheduled to Mexico rules.)
Comment 22 Petr Machata 2009-01-13 14:54:33 EST
Hmm, so I think I can close this one.

Note You need to log in before you can comment on or make changes to this bug.